UdpMessageReceiver.UdpWorker (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.udp.UdpMessageReceiver.UdpWorker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.udp
Class UdpMessageReceiver.UdpWorker

    java.lang.Object
      org.mule.transport.udp.UdpMessageReceiver.UdpWorker

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, Disposable

Direct Known Subclasses:
  MulticastMessageReceiver.MulticastWorker

Enclosing class:
  UdpMessageReceiver

    protected class UdpMessageReceiver.UdpWorker

extends Object
implements javax.resource.spi.work.Work, Disposable

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`UdpMessageReceiver.UdpWorker(DatagramSocket socket, DatagramPacket packet)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`void` | `release()`
`void` | `run()` Accept requests from a given Udp address

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UdpMessageReceiver.UdpWorker

    public UdpMessageReceiver.UdpWorker(DatagramSocket socket,
                                        DatagramPacket packet)

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### run

    public void run()

  Accept requests from a given Udp address

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.